gnutls_oprfi_enable_server(3)

NAME
gnutls_oprfi_enable_server - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_oprfi_enable_server(gnutls_session_t session, gnutls_oprfi_callback_func cb, void * userdata);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_oprfi_callback_func cb
    function pointer to Opaque PRF extension server callback.

void * userdata
    hook passed to callback function for passing application state.

DESCRIPTION
Request that the server should attempt to accept the Opaque PRF Input TLS extension. If the client requests the extension, the provided callback cb will be invoked. The callback must have the following prototype: int callback (gnutls_session_t session, void *userdata, size_t oprfi_len, const unsigned char *in_oprfi, unsigned char *out_oprfi); The callback can inspect the client-provided data in the input parameters, and specify its own opaque prf input data in the output variable. The function must return 0 on success, otherwise the handshake will be aborted.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.